mscorlib 2.0.0.0 4.0.0.0 System.ApplicationException System.Runtime.InteropServices.ComVisible(false)

Instances of the class and the class can represent named system synchronization objects. When you use the method or the method to open a named system object that does not exist, a is thrown.

The exception that is thrown when an attempt is made to open a system mutex or semaphore that does not exist.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property of the new instance to a system-supplied message that describes the error, such as "No handle of the given name exists." This message takes into account the current system culture.

  The following table shows the initial property values for an instance of .

  Property

  Value

  null.

  The system-supplied error message string.

  Initializes a new instance of the class with default values.

- Constructor
  2.0.0.0
  4.0.0.0

  The content of is intended to be understood by humans. The caller of this constructor is required to ensure that this string has been localized for the current system culture.

  The following table shows the initial property values for an instance of initialized with this constructor.

  Property

  Value

  null.

  .

  Initializes a new instance of the class with a specified error message.

  The error message that explains the reason for the exception.
- Constructor
  2.0.0.0
  4.0.0.0

  This constructor is called during deserialization to reconstitute the exception object transmitted over a stream. For more information, see XML and SOAP Serialization.

  Initializes a new instance of the class with serialized data.

  The object that holds the serialized object data about the exception being thrown.
  The object that contains contextual information about the source or destination.
- Constructor
  2.0.0.0
  4.0.0.0

  An exception that is thrown as a direct result of a previous exception should include a reference to the previous exception in the property. The property returns the same value that is passed into the constructor, or null if the property does not supply the inner exception value to the constructor.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If the parameter is not null, the current exception is raised in a catch block that handles the inner exception.